> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazonupdateautoscalinggroupsparameters-object.md).

# AmazonUpdateAutoScalingGroupsParameters Object

## Description

Parameters for the Amazon Update Auto Scaling Groups action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### desiredSize

Desired number of EC2 instances for the Auto Scaling group.

Type: `integer`

Required: No

### groupNameComparisons

List of comparisons to use when identifying Auto Scaling groups by their name. Cannot be specified if `groupNames` is specified.

Type: Array of [AmazonAutoScalingGroupNameComparison](/data-types/autoscalinggroupnamecomparison-object.md)

Required: No

### groupNames

Names of the Auto Scaling groups to update.

Type: Array of `string`

Required: No

### launchConfigurationName

Name of the launch configuration to assign to the Auto Scaling group.

Type: `string`

Required: No

### launchTemplateId

ID of the launch template to assign to the Auto Scaling group.

Type: `string`

Required: No

### launchTemplateName

Name of the launch template to assign to the Auto Scaling group.

Type: `string`

Required: No

### launchTemplateVersion

Version of the launch template to assign to the Auto Scaling group.

Type: `string`

Required: No

### maxSize

Maximum number of EC2 instances for the Auto Scaling group.

Type: `integer`

Required: No

### minSize

Minimum number of EC2 instances for the Auto Scaling group.

Type: `integer`

Required: No

### regionNames

Regions to use with the action. Omit or specify `null` to include "all regions".

Type: Array of `string`

Required: No

### resourceTagComparisons

List of resource tag comparisons to use when matching Auto Scaling groups.

Type: List of [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) objects.

Required: No

### restoreTimeInSeconds

Time (in seconds) after which the Auto Scaling groups will be restored to their original settings.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "groupNames": [
        "group-1"
    ],
            
    "minSize": 0,
    "desiredSize": 0,

    "revertTimeInSeconds": 43200
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonupdateautoscalinggroupsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
